Subject: bug#32720: term-mode ignores certain window size changes

From: Gary Fredericks <[email-masked]>
Date: Sun, 23 Dec 2018 07:47:23 -0600

Yes, that does seem to fail.

You're anticipating this will be fixed by the broader changes you alluded
to earlier?

Gary Fredericks
(803)-295-0195
[email-masked]
gfredericks.com

On Sun, Dec 23, 2018 at 7:40 AM martin rudalics <[email-masked]> wrote:

>  > I don't quite understand "It might have problems when you show a process
>  > buffer in an existing window whose size you never change thereafter."
>
> I've been only guessing.  'window-size-change-functions' triggers only
> after a window is created or changed size.  It doesn't trigger when a
> window gets another buffer.  So for example the following scenario
> should fail:
>
> (1) Show process output in a window.
>
> (2) Display another buffer in that window.
>
> (3) Change the width of the window.
>
> (4) Show the process output again in that window.
>
> I suppose (4) fails to communicate the new window width to the
> process.  If you now do
>
> (5) Change the window width again.
>
> everything should be OK.
>
> martin
>